Subject: Re: [PATCH 08/11] of: Merge of_node_get() and of_node_put()

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 26 Nov 2009 15:06:47 +1100

On Tue, 2009-11-24 at 01:19 -0700, Grant Likely wrote:

>  
> +#if !defined(CONFIG_SPARC)   /* SPARC doesn't do ref counting (yet) */
> +/**

Make this a Kconfig symbol, something like CONFIG_OF_DYNAMIC. You need
refcounting when you can add/remove nodes dynamically. Some embedded
archs might want the option to not enable that and save space.

Cheers,
Ben.